> ## Documentation Index
> Fetch the complete documentation index at: https://developer.audienceful.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Field

> This endpoint deletes a field from your custom subscriber data.

### Body

<ParamField path="id" type="string" required>
  The id of the field you wish to delete
</ParamField>

### Response

We return the object that was just deleted for any local cache management you may have to do with your application.

<Snippet file="fields/fields-list.mdx" />

<RequestExample>
  ```bash Example Request theme={null}
  curl --location --request DELETE 'https://app.audienceful.com/api/people/fields/{id}/' \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <token>'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
      "id": "4XJA8RZ6kJRwMJYDBETyZa",
      "name": "Test Field",
      "data_name": "test_field",
      "type": "string",
      "editable": true,
      "required": false
  }
  ```
</ResponseExample>
